/*{ Template_FreeRTOS::.h ************************************************
 
  Example code for FreeRTOS + LCD display on Olimex prototype board STM32-LCD.
  written by Gregor Rebel 2011
 
}*/
#ifndef EXTENSION_100_board_olimex_lcd
#error EXTENSION_100_board_olimex_lcd must be defined!
#endif

//{ Includes *************************************************************

// Basic set of helper functions
#include "stm32_io.h"
#include <stdlib.h>

#define USE_STDPERIPH_DRIVER
#include "stm32f10x.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x_conf.h"
#include "core_cm3.h"        // StdPeripheralsLibrary/CMSIS/CM3/CoreSupport/
#include "bits.h"
#include <string.h>
#include "FreeRTOS.h"
#include "task.h"

//? #include "stm32f10x_systick.h"
#include "lcd-320x240.h"
//#include "touchscreen.h"

//} Includes
//{ Defines/ TypeDefs ****************************************************


//} Defines
//{ Structures/ Enums ****************************************************


//} Structures/ Enums
//{ Structures/ Enums ****************************************************

//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

// basic hardware intialization
void lcd_initPorts();

// main entry: initializes hardware + spawns all threads
// returns immediately
void lcd_start();

// main task controlling LCD-panel
void task_LCD(void *pvParameters);

//} Function prototypes
